const path = require('path')
const CracoAlias = require('craco-alias')

const aliases = {
  '@home': `src/pages/Home`
}

const resolvedAliases = Object.fromEntries(
  Object.entries(aliases).map(([key, value]) => [
    key,
    path.resolve(__dirname, value)
  ])
)

module.exports = {
  plugins: [
    {
      plugin: CracoAlias,
      options: {
        source: 'tsconfig',
        // baseUrl SHOULD be specified
        // plugin does not take it from tsconfig
        baseUrl: './src',
        /* tsConfigPath should point to the file where "baseUrl" and "paths"
          are specified*/
        tsConfigPath: './tsconfig.paths.json'
      }
    }
  ],
  webpack: {}
}
